/*!
 * Copyright 2019 EPAM Systems
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

.table-cell {
  min-width: 170px;
  border-bottom: 1px solid $COLOR--gray-91;
  border-right: 1px solid transparent;
  font-size: 12px;
  color: $COLOR--gray-47;
  height: 48px;
  vertical-align: middle;
  box-sizing: border-box;
}

.table-body-cell {
  background: $COLOR--white-two;
  border-right: 1px solid $COLOR--gray-91;
  text-align: center;
}

.table-header-cell {
  background: $COLOR--white;
}

.table-header-cell-first {
  padding-left: 15px;
  min-width: 200px;
}

.table-body-cell-first,
.table-header-cell-first {
  position: sticky;
  z-index: $Z-INDEX-DEFAULT;
  left: 0;
  border-right: 0;
  text-align: left;
}

.table-body-cell-FAILED,
.table-body-cell-INTERRUPTED {
  background-color: $COLOR--blush;
}

.table-body-cell-UNTESTED {
  background-color: $COLOR--steel-grey;
}

.table-body-cell-RUNNING {
  background-color: $COLOR--violet;
}

.table-body-cell-SKIPPED {
  background-color: $COLOR--silver;
}

.table-body-cell-PASSED {
  background-color: $COLOR--greenish-grey;
}

.table-body-cell-RESETED {
  color: $COLOR--gray-80;
  background: $COLOR--white;
}

.table-body-cell-NOT_FOUND {
  color: $COLOR--gray-80;
  background: $COLOR--white;
  cursor: initial;
}

.table-header-cell-IN_PROGRESS,
.table-body-cell-IN_PROGRESS {
  background-image: linear-gradient(
    135deg,
    rgba(255, 255, 255, 0.9) 25%,
    transparent 25%,
    transparent 50%,
    rgba(255, 255, 255, 0.9) 50%,
    rgba(255, 255, 255, 0.9) 75%,
    transparent 75%,
    transparent
  );
  background-size: 60px 60px;
  animation: progress-stripes-large 2s linear 0s reverse none infinite;
}

.table-body-cell-IN_PROGRESS {
  background-color: $COLOR--violet;
}

@keyframes progress-stripes-large {
  from {
    background-position: 0 0;
  }
  to {
    background-position: -60px 0;
  }
}

.highlighted {
  &.table-body-cell {
    border-left: 1px solid $COLOR--topaz;
    border-right: 1px solid $COLOR--topaz;
  }

  &.table-body-cell-bottom {
    border-bottom: 1px solid $COLOR--topaz;
  }

  &.table-header-cell {
    height: 53px;
    color: $COLOR--topaz;
    border: solid 3px $COLOR--topaz;
    background-color: $COLOR--tealish-hover;
  }
}
